# Copyright 2009-2024 CERN. Licensed under LGPLv3+.

Name:           HEP_OSlibs
Version:        9.1.2
Release:        2%{?dist}
Summary:        HEP OS dependencies
Group:          System/Middleware
License:        LGPLv3+
ExclusiveArch:  x86_64 aarch64

Requires: attr(%{__isa})
Requires: autoconf
Requires: automake
Requires: bzip2(%{__isa})
Requires: bzip2-devel(%{__isa})
#Requires: ccache(%{__isa}) # EPEL
Requires: cmake(%{__isa})
Requires: cyrus-sasl-devel(%{__isa})
Requires: elfutils-debuginfod-client(%{__isa})
Requires: expat-devel(%{__isa})
Requires: file(%{__isa})
Requires: gcc(%{__isa})
Requires: gcc-c++(%{__isa})
Requires: gcc-gfortran(%{__isa})
Requires: gdb(%{__isa})
Requires: gdbm-devel(%{__isa})
Requires: git(%{__isa})
Requires: glibc-devel(%{__isa})
Requires: gmp-devel(%{__isa})
Requires: jq(%{__isa})
Requires: libaio-devel(%{__isa})
Requires: libcap-devel(%{__isa})
Requires: libcurl-devel(%{__isa})
Requires: libnsl(%{__isa})
Requires: libtirpc-devel(%{__isa})
Requires: libtool(%{__isa})
Requires: libuuid-devel(%{__isa})
Requires: libxcb-devel(%{__isa})
Requires: libxcrypt-compat(%{__isa})
Requires: libxkbcommon-devel(%{__isa})
Requires: libxkbcommon-x11-devel(%{__isa})
Requires: libxml2-devel(%{__isa})
Requires: libXpm-devel(%{__isa})
Requires: libXt-devel(%{__isa})
Requires: libzstd-devel(%{__isa})
Requires: lz4-devel(%{__isa})
Requires: make(%{__isa})
Requires: mesa-dri-drivers(%{__isa})
Requires: mesa-libGL-devel(%{__isa})
Requires: mesa-libGLU-devel(%{__isa})
Requires: motif-devel(%{__isa})
Requires: ncurses-devel(%{__isa})
Requires: net-tools(%{__isa})
Requires: openldap-compat(%{__isa})
Requires: openssl-devel(%{__isa})
Requires: patch(%{__isa})
Requires: perl-Thread-Queue
#Requires: python2(%{__isa}) # NOT AVAILABLE FOR EL9
Requires: python3(%{__isa})
Requires: readline-devel(%{__isa})
#Requires: redhat-lsb-core(%{__isa}) # NOT AVAILABLE FOR EL9
Requires: rpm-build(%{__isa})
Requires: rsync(%{__isa})
Requires: subversion(%{__isa})
Requires: tcl-devel(%{__isa})
Requires: telnet(%{__isa})
Requires: tk-devel(%{__isa})
Requires: unzip(%{__isa})
Requires: which(%{__isa})
Requires: xcb-util-devel(%{__isa})
Requires: xcb-util-image-devel(%{__isa})
Requires: xcb-util-keysyms-devel(%{__isa})
Requires: xcb-util-renderutil-devel(%{__isa})
Requires: xcb-util-wm-devel(%{__isa})
Requires: xorg-x11-xbitmaps
Requires: xorg-x11-xinit(%{__isa})
#Requires: xrootd-client(%{__isa}) # EPEL
Requires: xz(%{__isa})
Requires: xz-devel(%{__isa})
Requires: zlib-devel(%{__isa})

%description
This rpm captures the OS dependencies of the LHC experiment applications on 
Alma9. The list of packages was compiled by the SPI team as the minimal 
list of runtime and devel packages needed to build the LCG software stack.
Though the primary target of this rpm is Alma9/x86_64, the use of generic 
%{__isa} tags simplifies support for non-x86 architectures, such as aarch64
(see https://rpm.org/user_doc/arch_dependencies.html).

%files
%defattr(-,root,root,-)
%doc

%changelog

* Fri Mar 15 2024 Andrea Valassi 9.1.2-2 (x86_64 and aarch64)
[Requestor: Marco Clemencic (LHCb)]
Add libzstd-devel as requested by LHCb (#15).
Require 66 packages on x86_64 and aarch64 (62 x86-64/aarch-64, 4 noarch).

* Mon Mar 11 2024 Andrea Valassi 9.1.1-6 (x86_64 and aarch64)
[Requestor: Maarten Litmaath (WLCG)]
Add openldap-compat, which was reported by ATLAS as a missing dependency of GFAL (#14).
Require 65 packages on x86_64 and aarch64 (61 x86-64/aarch-64, 4 noarch).

* Mon Mar 11 2024 Andrea Valassi 9.1.1-4 (x86_64 and aarch64)
[Requestor: Attila Krasznahorkay (ATLAS)]
Add expat-devel, which is needed in the ATLAS builds of Geant4 (#12 and SPI-2396).
Require 64 packages on x86_64 and aarch64 (60 x86-64/aarch-64, 4 noarch).

* Mon Mar 11 2024 Andrea Valassi 9.1.1-3 (x86_64 and aarch64)
[Requestor: Andre Sailer (SPI)]
Add elfutils-debuginfod-client, which is needed to build R in the LCG stack (#11 and INC3609512).
Require 63 packages on x86_64 and aarch64 (59 x86-64/aarch-64, 4 noarch).

* Mon Mar 11 2024 Andrea Valassi 9.1.1-2 (x86_64 and aarch64)
[Requestor: Tim Brooks (BL4S)]
Add mesa-dri-drivers, which is needed for rendering Geant4 on WSL (#10).
Require 62 packages on x86_64 and aarch64 (58 x86-64/aarch-64, 4 noarch).

* Mon Mar 11 2024 Andrea Valassi 9.1.1-1 (x86_64 and aarch64)
[Requestor: A. Valassi]
Add libxcrypt-compat, which is needed by oneAPI 2023 (#9).
Require 61 packages on x86_64 and aarch64 (57 x86-64/aarch-64, 4 noarch).

* Tue Feb 14 2023 Andrea Valassi 9.1.0-2 (x86_64 and aarch64)
[Requestor: A. Valassi]
First Alma9 version.
Rebuild 9.0.2-3 using the koji aux9al tag (Alma9) instead of aux9s (CentOS Stream9).
The meta-rpm continues to use the standard ".el9" suffix.
Require 60 packages on x86_64 and aarch64 (56 x86-64/aarch-64, 4 noarch).

* Tue Jul 26 2022 Andrea Valassi 9.0.2-3 (x86_64 and aarch64)
[Requestor: D. Konstantinov (SPI)]
Add several xcb/xkb packages needed by Qt5 runtime (SPI-2193).
Require 60 packages on x86_64 and aarch64 (56 x86-64/aarch-64, 4 noarch).

* Fri Jun 17 2022 Andrea Valassi 9.0.1-1 (x86_64 and aarch64)
[Requestor: J. Ling (ATLAS)]
Add telnet (needed for dask-like job orchestration).
Require 53 packages on x86_64 and aarch64 (49 x86-64/aarch-64, 4 noarch).

* Tue May 03 2022 Andrea Valassi 9.0.0-3 (x86_64 and aarch64)
First successful build of a CentOS Streams9 version. This is derived from 
the CentOS Streams8 version 8.0.3-4, after removing the python2 and 
redhat-lsb-core dependencies, as they are not available for el9.
Require 52 packages on x86_64 and aarch64 (48 x86-64/aarch-64, 4 noarch).

* Tue May 03 2022 Andrea Valassi 9.0.0-2 (x86_64 and aarch64)
[Requestor: E. Moyse (ATLAS), R. Castellotti (CERN IT)]
First attempted build of a CentOS Streams9 version. This is derived from 
the CentOS Streams8 version 8.0.3-4, using as-is the same list of packages.
This is built on koji using the "aux9" tag, resulting in ".el9" suffixes.
Require 54 packages on x86_64 and aarch64 (50 x86-64/aarch-64, 4 noarch).
